﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.30729</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{C8749BF1-0A44-4512-BE83-FAE9AA8AEC7A}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>StockAdjustments.UnitTest</RootNamespace>
    <AssemblyName>StockAdjustments.UnitTest</AssemblyName>
    <FileAlignment>512</FileAlignment>
    <MyType>Windows</MyType>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
    <ProjectTypeGuids>{3AC096D0-A1C2-E12C-1390-A8335801FDAB};{F184B08F-C81C-45F6-A57F-5ABD9991F28F}</ProjectTypeGuids>
    <OptionExplicit>On</OptionExplicit>
    <OptionCompare>Binary</OptionCompare>
    <OptionStrict>On</OptionStrict>
    <OptionInfer>On</OptionInfer>
    <SccProjectName>
    </SccProjectName>
    <SccLocalPath>
    </SccLocalPath>
    <SccAuxPath>
    </SccAuxPath>
    <SccProvider>
    </SccProvider>
    <SignAssembly>true</SignAssembly>
    <AssemblyOriginatorKeyFile>$(PROJ_ROOT)\misc\Oasys.pfx</AssemblyOriginatorKeyFile>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <OldToolsVersion>3.5</OldToolsVersion>
    <UpgradeBackupLocation />
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <DefineDebug>true</DefineDebug>
    <DefineTrace>true</DefineTrace>
    <OutputPath>$(OUT_DIR)\build\tests\ut</OutputPath>
    <DocumentationFile>
    </DocumentationFile>
    <NoWarn>42353,42354,42355</NoWarn>
    <WarningsAsErrors>41999,42016,42017,42018,42019,42020,42021,42022,42032,42036</WarningsAsErrors>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <DefineDebug>false</DefineDebug>
    <DefineTrace>true</DefineTrace>
    <Optimize>true</Optimize>
    <OutputPath>$(OUT_DIR)\build\tests\ut</OutputPath>
    <DocumentationFile>
    </DocumentationFile>
    <NoWarn>42353,42354,42355</NoWarn>
    <WarningsAsErrors>41999,42016,42017,42018,42019,42020,42021,42022,42032,42036</WarningsAsErrors>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="DevExpress.Utils.v9.1, Version=9.1.5.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>$(PROJ_ROOT)\Libs\DevExpress\DevExpress.Utils.v9.1.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.XtraEditors.v9.1, Version=9.1.5.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>$(PROJ_ROOT)\Libs\DevExpress\DevExpress.XtraEditors.v9.1.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="EnterStockAdjustment.Create, Version=1.0.2.3, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
    </Reference>
    <Reference Include="Microsoft.VisualStudio.QualityTools.UnitTestFramework, Version=10.1.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <SpecificVersion>True</SpecificVersion>
    </Reference>
    <Reference Include="Rhino.Mocks, Version=3.6.0.0, Culture=neutral, PublicKeyToken=0b3305902db7183f, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Import Include="Cts.Oasys.Data" />
    <Import Include="EnterStockAdjustment" />
    <Import Include="Microsoft.VisualBasic" />
    <Import Include="Microsoft.VisualStudio.TestTools.UnitTesting" />
    <Import Include="Rhino.Mocks" />
    <Import Include="StockAdjustments" />
    <Import Include="System" />
    <Import Include="System.Data" />
    <Import Include="System.Data.SqlClient" />
    <Import Include="System.Text" />
    <Import Include="System.Windows.Forms" />
    <Import Include="TpWickes" />
    <Import Include="TpWickes.Library" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AdjustmentNextSequenceNumberDecide.vb" />
    <Compile Include="AdjustmentRepositoryOverloadDecideUnitTest.vb" />
    <Compile Include="AdjustmentRepositoryUnitTest.vb" />
    <Compile Include="AdjustmentsUnitTest.vb" />
    <Compile Include="AdjustmentUnitTest.vb" />
    <Compile Include="AllowedAdjustments_UnitTest.vb" />
    <Compile Include="DISetup.vb" />
    <Compile Include="FactoryUnitTest.vb" />
    <Compile Include="My Project\AssemblyInfo.vb" />
    <Compile Include="HandHeldTerminal.vb" />
    <Compile Include="StockAdjustmentFixesUnitTest.vb" />
    <Compile Include="StockAdjustmentManagerUnitTest.vb" />
    <Compile Include="StockLogOverloadDecideUnitTest.vb" />
    <Compile Include="StockLogRepositoryUnitTest.vb" />
    <Compile Include="StockLogModifyAdjustmentCodeUnitTest.vb" />
    <Compile Include="StockLogUnitTest.vb" />
    <Compile Include="WhichConnectionUnitTest.vb" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="AuthoringTests.txt" />
  </ItemGroup>
  <ItemGroup />
  <ItemGroup>
    <ProjectReference Include="..\..\..\..\main\bo\Cts.Oasys.Core\Cts.Oasys.Core2\Cts.Oasys.Core2.csproj">
      <Project>{93F81432-BC23-4C71-917D-9C4CCA1A916C}</Project>
      <Name>Cts.Oasys.Core2</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\main\bo\Cts.Oasys.Core\Cts.Oasys.Core\Cts.Oasys.Core.vbproj">
      <Project>{28893D2F-A1FE-4AEB-A600-C14945DF980B}</Project>
      <Name>Cts.Oasys.Core</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\main\bo\Cts.Oasys.Core\Cts.Oasys.Data\Cts.Oasys.Data.vbproj">
      <Project>{43D83026-CDF3-4590-A743-4ACC4D2BDE61}</Project>
      <Name>Cts.Oasys.Data</Name>
      <Private>True</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\main\bo\StockAdjustment\EnterStockAdjustment\EnterStockAdjustment.vbproj">
      <Project>{308EA064-5226-4E98-A962-2B9343CFA1CE}</Project>
      <Name>EnterStockAdjustment</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\main\bo\StockAdjustment\StockAdjustments\StockAdjustments.vbproj">
      <Project>{9BA5E32A-E199-47E4-97E8-3A7809B7EB01}</Project>
      <Name>StockAdjustments</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\main\bo\TpWickes\TpWickes.Library\TpWickes.Library.vbproj">
      <Project>{038616C6-C578-4C90-995A-483CCFDE8346}</Project>
      <Name>TpWickes.Library</Name>
      <Private>True</Private>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.VisualBasic.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>